Name:		libstemmer
Version:	0
Release:	4.1
Summary:	C stemming algorithm library
# The site and project is no longer being actively maintained. 
# The code is available on Github - https://github.com/snowballstem/snowball
URL:		http://snowball.tartarus.org
# The licence is specified on website
# http://snowball.tartarus.org/license.php
# There is a pull request to include it into source code
# https://github.com/snowballstem/snowball/issues/10
License:	BSD
Source0:	http://snowball.tartarus.org/dist/%{name}_c.tgz
Source1:	Notice.txt
Source2:	BSD.txt
	

%description
Snowball stemming algorithms for use in Information Retrieval Snowball 
provides access to efficient algorithms for calculating a "stemmed" 
form of a word.  This is a form with most of the common morphological 
endings removed; hopefully representing a common linguistic base form.  
This is most useful in building search engines and information 
retrieval software; for example, a search with stemming enabled should 
be able to find a document containing "cycling" given the query 
"cycles".

Snowball provides algorithms for several (mainly European) languages. 
It also provides access to the classic Porter stemming algorithm for 
English: although this has been superseded by an improved algorithm, 
the original algorithm may be of interest to information retrieval 
researchers wishing to reproduce results of earlier experiments.


%package devel
Summary:	C stemming algorithm library developer files
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains development files of libstemmer.

Snowball stemming algorithms for use in Information Retrieval Snowball 
provides access to efficient algorithms for calculating a "stemmed" 
form of a word.  This is a form with most of the common morphological 
endings removed; hopefully representing a common linguistic base form.  
This is most useful in building search engines and information 
retrieval software; for example, a search with stemming enabled should 
be able to find a document containing "cycling" given the query 
"cycles".

Snowball provides algorithms for several (mainly European) languages. 
It also provides access to the classic Porter stemming algorithm for 
English: although this has been superseded by an improved algorithm, 
the original algorithm may be of interest to information retrieval 
researchers wishing to reproduce results of earlier experiments.


%prep
%setup -q -n libstemmer_c

# Add rule to make libstemmer.so
sed -i -r "s|(^libstemmer.o:)|libstemmer.so: \$\(snowball_sources:.c=.o\)\n\
\t\$\(CC\) \$\(CFLAGS\) -shared \$\(LDFLAGS\) -Wl,-soname,libstemmer.so.0 \
-o \$\@.0.0.0 \$\^\n\1|" Makefile

%build
make libstemmer.so %{?_smp_mflags} CFLAGS="%{optflags} -fPIC -Iinclude"

%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
install -p -D -m 755	libstemmer.so.0.0.0	%{buildroot}%{_libdir}/
ln -s libstemmer.so.0.0.0	%{buildroot}%{_libdir}/libstemmer.so.0
ln -s libstemmer.so.0.0.0	%{buildroot}%{_libdir}/libstemmer.so
install -p -D -m 644	include/*	%{buildroot}%{_includedir}/

cp %{SOURCE1} %{SOURCE2} .

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc Notice.txt BSD.txt README
%{_libdir}/libstemmer.so.*

%files devel
%{_libdir}/libstemmer.so
%{_includedir}/*

%changelog
* Fri Aug 19 2016 cs@linux-administrator.com
- initial import
